## watcher 10.0.0

=== debian/changelog ===
watcher (10.0.0-5~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * A vulnerability has been identified in OpenStack Nova and OpenStack Watcher
    in conjunction with volume swap operations performed by the Watcher
    service. Under specific circumstances, this can lead to a situation where
    two Nova libvirt instances could reference the same block device, allowing
    accidental information disclosure to the unauthorized instance. Added
    upstream patch: OSSN-0094_use_cinder_migrate_for_swap_volume.patch.
    (Closes: #1111692).

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-antelope.infomaniak.ch>  Thu, 21 Aug 2025 11:39:28 +0000

watcher (10.0.0-4) unstable; urgency=medium

  * Cleans better (Closes: #1048142).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 16:32:21 +0200

watcher (10.0.0-3) unstable; urgency=medium

  * Removed obsolete lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 14:59:59 +0200

watcher (10.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 14:53:33 +0200

watcher (10.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 14:53:36 +0100

watcher (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions of (build-)depends when satisfied in Bookworm.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Mar 2023 16:37:59 +0100

=== debian/control ===
Source: watcher
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-apscheduler,
 python3-cinderclient,
 python3-coverage,
 python3-croniter,
 python3-freezegun,
 python3-futurist,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-hacking,
 python3-ironicclient,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-microversion-parse,
 python3-monascaclient,
 python3-networkx,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-os-resource-classes,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-pastedeploy,
 python3-pecan,
 python3-prettytable,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-taskflow,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-webtest,
 python3-wsme,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/watcher
Vcs-Git: https://salsa.debian.org/openstack-team/services/watcher.git
Homepage: https://github.com/openstack/watcher

Package: python3-watcher
Section: python
Architecture: all
Depends:
 python3-apscheduler,
 python3-cinderclient,
 python3-croniter,
 python3-futurist,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-ironicclient,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-microversion-parse,
 python3-monascaclient,
 python3-networkx,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackclient,
 python3-os-resource-classes,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-prettytable,
 python3-sqlalchemy,
 python3-stevedore,
 python3-taskflow,
 python3-webob,
 python3-wsme,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-watcher,
Description: OpenStack Cloud Optimization as a Service - Python 2.7 libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 2.7 libraries that are part of Watcher.

Package: watcher-api
Architecture: all
Depends:
 adduser,
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 q-text-as-data,
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - API server
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher API server.

Package: watcher-applier
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Applier
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher Applier.

Package: watcher-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-watcher (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - common files
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Watcher.

Package: watcher-decision-engine
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Decision Engine
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher decision engine.

Package: watcher-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export TZ=UTC

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/watcher-common.config debian/watcher-common.postinst debian/watcher-api.config debian/watcher-api.postinst
	rm -rf debian/*.upstart debian/*.service
	rm -rf debian/watcher-common.postrm debian/*.templates debian/po debian/*.init
	rm -rf build .stestr doc/source/_static/watcher.conf.sample *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func watcher-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func watcher-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func watcher-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func watcher-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm watcher-common.postrm
	pkgos-merge-templates watcher-api watcher endpoint
	pkgos-merge-templates watcher-common watcher db rabbit ksat

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.api\.(?!.*test_hooks\.TestContextHook\.test_context_hook_before_method.*|.*v1\.test_audits\.TestPost\.test_create_continuous_audit_with_wrong_interval.*)'
	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.applier.*'
	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.cmd.*'
	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.common\.(?!.*test_clients\.TestClients\.test_clients_ironic.*)'
	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.conf.*'
	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.db.*'
	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.decision_engine.*'
	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.notifications.*'
	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.objects.*'
endif

	rm -rf $(CURDIR)/debian/python3-watcher/usr/etc
	mkdir -p $(CURDIR)/debian/watcher-common/usr/share/watcher-common
	PYTHONPATH=$(CURDIR)/debian/python3-watcher/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf \
		--wrap-width 140 \
		--namespace watcher \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.cache \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.reports \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.wsgi
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf keystone_authtoken watcher

	PYTHONPATH=$(CURDIR)/debian/python3-watcher/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/watcher-common/usr/share/watcher-common/policy.json \
		--format json \
		--namespace watcher

	pkgos-fix-config-default $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf oslo_concurrency lock_path /var/lock/watcher

	dh_install
	dh_missing --fail-missing

	rm -rf debian/python3-watcher/usr/etc

	mkdir -p $(CURDIR)/debian/watcher-api/usr/bin
	cp watcher/api/app.wsgi $(CURDIR)/debian/watcher-api/usr/bin/watcher-wsgi-api

	# Disable https in default setup, as this makes our CI fail
	pkgos-fix-config-default $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf keystone_authtoken auth_protocol http

	# Fix the missing sql_connection directive
	pkgos-fix-config-default $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf database sqlite:////var/lib/watcher/watcherdb

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/watcher-doc/usr/share/doc/watcher-doc/html
	touch $(CURDIR)/debian/watcher-doc/usr/share/doc/watcher-doc/html/_static/toggle.js
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## watcher 10.0.0+git2023090714.1e11c490

=== debian/changelog ===
watcher (2:10.0.0+git2023090714.1e11c490-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:51:29 -0400

watcher (2:10.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 15:28:43 -0400

## watcher 11.0.0

=== requirements.txt ===
#  The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

apscheduler>=3.5.1 # MIT License
jsonpatch>=1.21 # BSD
keystoneauth1>=3.4.0 # Apache-2.0
jsonschema>=3.2.0 # MIT
keystonemiddleware>=4.21.0 # Apache-2.0
lxml>=4.5.1 # BSD
croniter>=0.3.20 # MIT License
os-resource-classes>=0.4.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.cache>=1.29.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.context>=2.21.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=3.37.0 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
oslo.reports>=1.27.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service>=1.30.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=3.36.0 # Apache-2.0
oslo.versionedobjects>=1.32.0 # Apache-2.0
PasteDeploy>=1.5.2 # MIT
pbr>=3.1.1 # Apache-2.0
pecan>=1.3.2 # BSD
PrettyTable>=0.7.2 # BSD
gnocchiclient>=7.0.1 # Apache-2.0
python-cinderclient>=3.5.0 # Apache-2.0
python-glanceclient>=2.9.1 # Apache-2.0
python-keystoneclient>=3.15.0 # Apache-2.0
python-monascaclient>=1.12.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=14.1.0 # Apache-2.0
python-openstackclient>=3.14.0 # Apache-2.0
python-ironicclient>=2.5.0 # Apache-2.0
SQLAlchemy>=1.2.5 # MIT
stevedore>=1.28.0 # Apache-2.0
taskflow>=3.8.0 # Apache-2.0
WebOb>=1.8.5 # MIT
WSME>=0.9.2 # MIT
networkx>=2.4 # BSD
microversion_parse>=0.2.1 # Apache-2.0
futurist>=1.8.0 # Apache-2.0

=== debian/changelog ===
watcher (2:11.0.0-0ubuntu1.1~cloud0) jammy-bobcat; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/2023.2 branch.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.

  [ Bryan Fraschetti ]
  * d/p/handle-deprecated-cpu-util.patch: Apply upstream patch to replace
    usage of the deprecated "cpu_util" metric (LP: #2088620).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 14 Jan 2025 11:38:25 +0000

watcher (2:11.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:29:17 -0400

=== debian/control ===
Source: watcher
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 po-debconf,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 python3-apscheduler (>= 3.5.1),
 python3-cinderclient (>= 1:3.5.0),
 python3-coverage (>= 4.5.1),
 python3-croniter (>= 0.3.20),
 python3-doc8 (>= 0.8.0),
 python3-freezegun (>= 0.3.10),
 python3-futurist (>= 1.8.0),
 python3-glanceclient (>= 1:2.9.1),
 python3-gnocchiclient (>= 7.0.1),
 python3-hacking (>= 1.1.0),
 python3-ironicclient (>= 2.5.0),
 python3-jsonpatch (>= 1.21),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 4.5.1),
 python3-microversion-parse (>= 0.2.1),
 python3-mock (>= 2.0.0),
 python3-monascaclient (>= 1.12.0),
 python3-networkx (>= 2.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:14.1.0),
 python3-openstackclient (>= 3.14.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-resource-classes (>= 0.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.29.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.21.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports (>= 1.27.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslo.versionedobjects (>= 1.32.0),
 python3-oslotest (>= 1:3.3.0),
 python3-pastedeploy (>= 1.5.2),
 python3-pecan (>= 1.3.2),
 python3-prettytable (>= 0.7.2),
 python3-six (>= 1.11.0),
 python3-sphinxcontrib-pecanwsme (>= 0.8.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.28.0),
 python3-taskflow (>= 3.8.0),
 python3-testscenarios (>= 0.5.0),
 python3-testtools (>= 2.3.0),
 python3-voluptuous,
 python3-webob (>= 1:1.8.5),
 python3-webtest (>= 2.0.27),
 python3-wsme (>= 0.9.2),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/watcher
Homepage: https://opendev.org/openstack/watcher
Testsuite: autopkgtest-pkg-python

Package: python3-watcher
Section: python
Architecture: all
Depends:
 python3-apscheduler (>= 3.5.1),
 python3-cinderclient (>= 1:3.5.0),
 python3-croniter (>= 0.3.20),
 python3-futurist (>= 1.8.0),
 python3-glanceclient (>= 1:2.9.1),
 python3-gnocchiclient (>= 7.0.1),
 python3-ironicclient (>= 2.5.0),
 python3-jsonpatch (>= 1.21),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 4.5.1),
 python3-microversion-parse (>= 0.2.1),
 python3-monascaclient (>= 1.12.0),
 python3-networkx (>= 2.4),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:14.1.0),
 python3-openstackclient (>= 3.14.0),
 python3-os-resource-classes (>= 0.4.0),
 python3-oslo.cache (>= 1.29.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.21.0),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.reports (>= 1.27.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslo.versionedobjects (>= 1.32.0),
 python3-pastedeploy (>= 1.5.2),
 python3-pbr (>= 3.1.1),
 python3-pecan (>= 1.3.2),
 python3-prettytable (>= 0.7.2),
 python3-six (>= 1.11.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stevedore (>= 1:1.28.0),
 python3-taskflow (>= 3.8.0),
 python3-voluptuous,
 python3-webob (>= 1:1.8.5),
 python3-wsme (>= 0.9.2),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Python 3 libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 3 libraries that are part of Watcher.

Package: watcher-api
Architecture: all
Depends:
 adduser,
 debconf,
 net-tools,
 q-text-as-data,
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - API server
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher API server.

Package: watcher-applier
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - Applier
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher Applier.

Package: watcher-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-watcher (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: OpenStack Cloud Optimization as a Service - common files
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Watcher.

Package: watcher-decision-engine
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - Decision Engine
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher decision engine.

Package: watcher-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

## watcher 12.0.0

=== debian/changelog ===
watcher (2:12.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.
  * d/p/oslo.db-15.0.0-compatibility.patch: Drop, included in release.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 15:35:14 +0100

watcher (2:12.0.0~rc1-0ubuntu2) noble; urgency=medium

  * d/p/oslo.db-15.0.0-compatibility.patch: Cherry pick inflight
    compatibility patch for oslo.db >= 15.0.0.

 -- James Page <james.page@ubuntu.com>  Wed, 27 Mar 2024 10:35:51 +0000

watcher (2:12.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal

  -- Felipe Reyes <felipe.reyes@canonical.com>  Tue, 19 Mar 2024 13:39:50 -0300

watcher (2:11.0.0+git2024020610.c95ce4ec-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Add libmaas to BD's.
  * d/control: Add missing Pre-Depends on ucf.
  * d/control: Add misc:Pre-Depends to packages with services.

 -- James Page <james.page@ubuntu.com>  Tue, 06 Feb 2024 11:20:44 +0000

=== debian/control ===
--- 
+++ 
@@ -31,6 +31,7 @@
  python3-keystoneauth1 (>= 3.4.0),
  python3-keystoneclient (>= 1:3.15.0),
  python3-keystonemiddleware (>= 4.21.0),
+ python3-libmaas (>= 0.6.8),
  python3-lxml (>= 4.5.1),
  python3-microversion-parse (>= 0.2.1),
  python3-mock (>= 2.0.0),
@@ -147,6 +148,9 @@
 
 Package: watcher-api
 Architecture: all
+Pre-Depends:
+ ucf,
+ ${misc:Pre-Depends},
 Depends:
  adduser,
  debconf,
@@ -169,6 +173,8 @@
 
 Package: watcher-applier
 Architecture: all
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  watcher-common (= ${binary:Version}),
  ${misc:Depends},
@@ -187,6 +193,8 @@
 
 Package: watcher-common
 Architecture: all
+Pre-Depends:
+ ucf,
 Depends:
  adduser,
  dbconfig-common,
@@ -209,6 +217,8 @@
 
 Package: watcher-decision-engine
 Architecture: all
+Pre-Depends:
+ ${misc:Pre-Depends},
 Depends:
  watcher-common (= ${binary:Version}),
  ${misc:Depends},

=== debian/tests/control ===
Tests: watcher-daemons
Depends:
 crudini,
 mysql-server,
 rabbitmq-server,
 watcher-api,
 watcher-applier,
 watcher-decision-engine,
Restrictions: needs-root allow-stderr

## watcher 12.0.0+git2024080716.a9dc3794

=== debian/changelog ===
watcher (2:12.0.0+git2024080716.a9dc3794-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Aug 2024 13:31:01 +0100

## watcher 12.1.0

=== debian/changelog ===
watcher (12.1.0-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Removed patch applied upstream:
    - OSSN-0094_use_cinder_migrate_for_swap_volume.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Mon, 22 Sep 2025 12:32:44 +0000

watcher (12.0.0+git.2024.06.01.a9dc3794a69c-3) UNRELEASED; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.
  * A vulnerability has been identified in OpenStack Nova and OpenStack Watcher
    in conjunction with volume swap operations performed by the Watcher
    service. Under specific circumstances, this can lead to a situation where
    two Nova libvirt instances could reference the same block device, allowing
    accidental information disclosure to the unauthorized instance. Added
    upstream patch: OSSN-0094_use_cinder_migrate_for_swap_volume.patch.
    (Closes: #1111692).

 -- Thomas Goirand <zigo@debian.org>  Thu, 21 Aug 2025 10:46:10 +0200

watcher (12.0.0+git.2024.06.01.a9dc3794a69c-1) unstable; urgency=medium

  * New upstream release based on latest commit fixing FTBFS (Closes: #1073462)

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Jul 2024 03:51:20 +0200

watcher (12.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 12:36:53 +0200

watcher (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Do not run MaaS tests, as we don't have the python3-libmaas package in
    Debian.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 14:23:37 +0100

watcher (11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 11:26:40 +0200

watcher (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fix (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Sep 2023 10:42:48 +0200

=== debian/control ===
Source: watcher
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-apscheduler,
 python3-cinderclient,
 python3-coverage,
 python3-croniter,
 python3-freezegun,
 python3-futurist,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-hacking,
 python3-ironicclient,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-microversion-parse,
 python3-monascaclient,
 python3-networkx,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-os-resource-classes,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-pastedeploy,
 python3-pecan,
 python3-prettytable,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-taskflow,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-webtest,
 python3-wsme,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/watcher
Vcs-Git: https://salsa.debian.org/openstack-team/services/watcher.git
Homepage: https://github.com/openstack/watcher

Package: python3-watcher
Section: python
Architecture: all
Depends:
 python3-apscheduler,
 python3-cinderclient,
 python3-croniter,
 python3-futurist,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-ironicclient,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-microversion-parse,
 python3-monascaclient,
 python3-networkx,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackclient,
 python3-os-resource-classes,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-prettytable,
 python3-sqlalchemy,
 python3-stevedore,
 python3-taskflow,
 python3-webob,
 python3-wsme,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-watcher,
Description: OpenStack Cloud Optimization as a Service - Python 2.7 libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 2.7 libraries that are part of Watcher.

Package: watcher-api
Architecture: all
Depends:
 adduser,
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 q-text-as-data,
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - API server
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher API server.

Package: watcher-applier
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Applier
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher Applier.

Package: watcher-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-watcher (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - common files
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Watcher.

Package: watcher-decision-engine
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Decision Engine
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher decision engine.

Package: watcher-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.api\.(?!.*test_hooks\.TestContextHook\.test_context_hook_before_method.*|.*v1\.test_audits\.TestPost\.test_create_continuous_audit_with_wrong_interval.*)'
 	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.applier.*'
 	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.cmd.*'
-	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.common\.(?!.*test_clients\.TestClients\.test_clients_ironic.*)'
+	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.common\.(?!.*test_clients\.TestClients\.test_clients_ironic.*|.*metal_helper\.test_maas.*)'
 	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.conf.*'
 	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.db.*'
 	pkgos-dh_auto_test --no-py2 --serial 'watcher\.tests\.decision_engine.*'

## watcher 13.0.0~rc1

=== debian/changelog ===
watcher (2:13.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 11:06:47 +0100

## watcher 13.0.0

=== debian/changelog ===
watcher (13.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090709).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 13:51:43 +0100

watcher (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 16:28:58 +0200

watcher (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:32:29 +0200

watcher (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 11:31:06 +0200

=== debian/control ===
--- 
+++ 
@@ -127,17 +127,15 @@
  ${python3:Depends},
 Conflicts:
  python-watcher,
-Description: OpenStack Cloud Optimization as a Service - Python 2.7 libraries
- OpenStack Watcher provides a flexible and scalable resource optimization
- service for multi-tenant OpenStack-based clouds. Watcher provides a complete
- optimization loop-including everything from a metrics receiver, complex event
- processor and profiler, optimization processor and an action plan applier.
- This provides a robust framework to realize a wide range of cloud optimization
- goals, including the reduction of data center operating costs, increased
- system performance via intelligent virtual machine migration, increased energy
- efficiency-and more!
- .
- This package contains the Python 2.7 libraries that are part of Watcher.
+Description: OpenStack Cloud Optimization as a Service - Python libraries
+ OpenStack Watcher provides a flexible and scalable resource optimization
+ service for multi-tenant OpenStack-based clouds. Watcher provides a complete
+ optimization loop-including everything from a metrics receiver, complex event
+ processor and profiler, optimization processor and an action plan applier.
+ This provides a robust framework to realize a wide range of cloud optimization
+ goals, including the reduction of data center operating costs, increased
+ system performance via intelligent virtual machine migration, increased energy
+ efficiency-and more!
 
 Package: watcher-api
 Architecture: all
